#include "screenshottaker.h"

void maemoBanner(QString string)
{
    QString program = "dbus-send --type=method_call --dest=org.freedesktop.Notifications /org/freedesktop/Notifications org.freedesktop.Notifications.SystemNoteInfoprint string:\"" + string + "\"";
    system(program.toStdString().c_str());
}

ScreenShotTaker::ScreenShotTaker(QObject *parent) :
    QObject(parent)
{

}

void ScreenShotTaker::takeScreenshot(QString filePath)
{
    QPixmap pixmap;
    pixmap = QPixmap::grabWindow(QApplication::desktop()->winId());

    pixmap.save(filePath + QDateTime::currentDateTime().toString("dd.MM.yyyy-hh.mm.ss") +".png");

    maemoBanner( "Screenshot taken! Saved at /home/user/MyDocs/.images/Screenshots" );

    qApp->quit();
}
